OpenVDB 7.0.0

Public Types | List of all members
DSConverter< DenseType, TreeType > Struct Template Reference

`#include <DenseSparseTools.h>`

## Public Types
using | ValueType = typename DenseType::ValueType
using | Type = typename TreeType::template ValueConverter< ValueType >::Type

## Detailed Description

### template<typename DenseType, typename TreeType>
struct openvdb::v7_0::tools::DSConverter< DenseType, TreeType >

This struct that aids template resolution of a new tree type has the same configuration at TreeType, but the ValueType from DenseType.

## Member Typedef Documentation

## ◆ Type

using Type = typename TreeType::template ValueConverter<ValueType>::Type

## ◆ ValueType

using ValueType = typename DenseType::ValueType

The documentation for this struct was generated from the following file:

- DenseSparseTools.h